<?php

namespace Modules\Region\Interfaces;

use Modules\Region\Models\Region;

interface RegionRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Region;
    public function update(array $request, Region $region): Region;
    public function destroy(Region $region): void;
    public function destroyAll(array $ids): void;
    public function restore(Region $region): void;
    public function restoreAll(array $ids): void;
}
